%define anolis_release 1
%global debug_package %{nil}

Name:       intel-accel-plugin
Version:    0.27
Release:    %{anolis_release}%{?dist}
Summary:    Intel accel plugin for Kubernetes
License:    Apache-2.0
URL:        https://github.com/intel/intel-device-plugins-for-kubernetes
Source0:    v%{version}.tar.gz
# unpack `Source0` first, the run `go mod vendor` to create the vendor directory
# and compress the vendor directory into vendor.tar.gz
Source1:    vendor.tar.gz

ExclusiveArch:  x86_64

BuildRequires: bash
BuildRequires: golang >= 1.17

%description
Intel accel plugin for Kubernetes.

This repository contains a framework for developing plugins for the
Kubernetes device plugins framework, along with a number of device plugin
implementations utilizing that framework.

%package qat
Summary:	qat plugin
Requires:	%{name} = %{version}-%{release}

%description qat
intel qat plugin for k8s

%package iaa
Summary:        iaa plugin
Requires:       %{name} = %{version}-%{release}

%description iaa
intel iaa plugin for k8s

%package dlb
Summary:        dlb plugin
Requires:       %{name} = %{version}-%{release}

%description dlb
intel dlb plugin for k8s

%prep
%setup -n %{name}-%{version} -qa1

%build
pushd cmd
    pushd qat_plugin
        go build -tags kerneldrv -mod=vendor
    popd
    pushd dlb_plugin
        go build "-ldflags=-w -s" -mod=vendor
    popd
    pushd iaa_plugin
        go build "-ldflags=-w -s" -mod=vendor
    popd
popd

%install
mkdir -p %{buildroot}/usr/bin
install -m 0655 %{_builddir}/%{name}-%{version}/cmd/qat_plugin/qat_plugin %{buildroot}/usr/bin/qat_plugin
install -m 0655 %{_builddir}/%{name}-%{version}/cmd/dlb_plugin/dlb_plugin %{buildroot}/usr/bin/dlb_plugin
install -m 0655 %{_builddir}/%{name}-%{version}/cmd/iaa_plugin/iaa_plugin %{buildroot}/usr/bin/iaa_plugin

%files
%doc README.md
%license LICENSE

%files qat
/usr/bin/qat_plugin

%files dlb
/usr/bin/dlb_plugin

%files iaa
/usr/bin/iaa_plugin

%changelog
* Wed Sep 20 2023 Xingrui Yi <yixingrui@linux.alibaba.com> - 0.27-1
- Init plugin
